πŸš€ Fansly API (Alpha) is live!WIP - Updated Daily
Fansly API Logo
Likes

Like Message

Like (react to) a message in a Fansly group chat.


This endpoint allows you to like (react to) a message in a Fansly group chat. When called, it creates a reaction for the specified message.

https://v1.apifansly.com
POST
/api/fansly/{accountId}/messages/like

Get Started

All requests to the Fansly API require an API Key. See the Authentication page for details.

curl -X POST "https://v1.apifansly.com/api/fansly/{accountId}/messages/like" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "messageId": "87477xxxxxxxxxxxxxx",
    "type": 1
  }'
fetch("https://v1.apifansly.com/api/fansly/{accountId}/messages/like", {
  method: "POST",
  headers: {
    "x-api-key": "YOUR_API_KEY",
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "messageId": "87477xxxxxxxxxxxxxx",
    "type": 1
  })
})
import requests

url = "https://v1.apifansly.com/api/fansly/{accountId}/messages/like"
headers = {
    "x-api-key": "YOUR_API_KEY",
    "Content-Type": "application/json"
}
data = {
    "messageId": "87477xxxxxxxxxxxxxx",
    "type": 1
}

response = requests.post(url, headers=headers, json=data)
print(response.json())
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

String jsonBody = "{\"messageId\": \"87477xxxxxxxxxxxxxx\", \"type\": 1}";

HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/messages/like"))
        .header("x-api-key", "YOUR_API_KEY")
        .header("Content-Type", "application/json")
        .POST(HttpRequest.BodyPublishers.ofString(jsonBody))
        .build();

client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
        .thenApply(HttpResponse::body)
        .thenAccept(System.out::println)
        .join();
using System.Net.Http;
using System.Text;
using System.Text.Json;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");

var json = JsonSerializer.Serialize(new { 
    messageId = "87477xxxxxxxxxxxxxx",
    type = 1
});
var content = new StringContent(json, Encoding.UTF8, "application/json");

var response = await client.PostAsync("https://v1.apifansly.com/api/fansly/{accountId}/messages/like", content);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
package main

import (
    "bytes"
    "encoding/json"
    "net/http"
    "fmt"
    "io/ioutil"
)

func main() {
    url := "https://v1.apifansly.com/api/fansly/{accountId}/messages/like"
    
    values := map[string]interface{}{
        "messageId": "87477xxxxxxxxxxxxxx",
        "type": 1,
    }
    jsonData, _ := json.Marshal(values)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("x-api-key", "YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()
    
    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}

Path Variables

accountId*
string
The account ID of the user performing the like action

Request Body Parameters

The request body must be sent as JSON with the following parameters:

messageId*
string
The unique identifier of the message you want to like. Example: "87477xxxxxxxxxxxxxx"
type*
integer
The type of reaction to apply. Use 1 for a standard "like" reaction. it ranges from 1 to 7.

Response

When the message is successfully liked, the API returns a 201 Created status.

{
  "statusCode": 201,
  "message": "Success",
  "data": {
    "status_code": 200,
    "data": {
      "success": true,
      "response": {
        "accountId": "86540xxxxxxxxxxxxxx",
        "messageId": "87477xxxxxxxxxxxxxx",
        "type": 1,
        "groupId": "86694xxxxxxxxxxxxxx",
        "id": "87558xxxxxxxxxxxxxx"
      }
    }
  },
  "timestamp": "2026-02-05T00:12:03.352Z"
}

Response Fields

FieldTypeDescription
statusCodenumberThe HTTP status code
dataobjectMain response container
β”œβ”€ accountIdstringThe ID of the account that liked the message
β”œβ”€ messageIdstringThe ID of the message that was liked
β”œβ”€ typenumberThe reaction type that was applied
β”œβ”€ groupIdstringThe chat/group ID where the message exists
└─ idnumberThe unique identifier for this reaction record
timestampstringISO 8601 response timestamp

Usage Notes

  • The type parameter currently supports 1 for likes. Other reaction types is available from 1 to 7.
  • Ensure the messageId exists and is accessible to the authenticated account before attempting to like it.

Error Handling

Status CodeDescription
400 Bad RequestInvalid request body format or missing required parameters
401 UnauthorizedInvalid or missing API key
404 Not FoundMessage ID does not exist or is not accessible

On this page